package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DATASYSTEMENGINE"
)
public class TCoreDatasystemengine extends TBaseEntity {
   private String datasystemid;
   private String engineid;
   private String enginelinkname;
   private String dblinkname;

   public TCoreDatasystemengine() {
   }

   public TCoreDatasystemengine(String datasystemid, String engineid, String enginelinkname, String dblinkname) {
      this.datasystemid = datasystemid;
      this.engineid = engineid;
      this.enginelinkname = enginelinkname;
      this.dblinkname = dblinkname;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getEngineid() {
      return this.engineid;
   }

   public void setEngineid(String engineid) {
      this.engineid = engineid;
   }

   public String getEnginelinkname() {
      return this.enginelinkname;
   }

   public void setEnginelinkname(String enginelinkname) {
      this.enginelinkname = enginelinkname;
   }

   public String getDblinkname() {
      return this.dblinkname;
   }

   public void setDblinkname(String dblinkname) {
      this.dblinkname = dblinkname;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.datasystemid == null ? 0 : this.datasystemid.hashCode());
      result = 31 * result + (this.dblinkname == null ? 0 : this.dblinkname.hashCode());
      result = 31 * result + (this.engineid == null ? 0 : this.engineid.hashCode());
      result = 31 * result + (this.enginelinkname == null ? 0 : this.enginelinkname.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreDatasystemengine other = (TCoreDatasystemengine)obj;
         if (this.datasystemid == null) {
            if (other.datasystemid != null) {
               return false;
            }
         } else if (!this.datasystemid.equals(other.datasystemid)) {
            return false;
         }

         if (this.dblinkname == null) {
            if (other.dblinkname != null) {
               return false;
            }
         } else if (!this.dblinkname.equals(other.dblinkname)) {
            return false;
         }

         if (this.engineid == null) {
            if (other.engineid != null) {
               return false;
            }
         } else if (!this.engineid.equals(other.engineid)) {
            return false;
         }

         if (this.enginelinkname == null) {
            if (other.enginelinkname != null) {
               return false;
            }
         } else if (!this.enginelinkname.equals(other.enginelinkname)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "TCoreDatasystemengine [datasystemid=" + this.datasystemid + ", engineid=" + this.engineid + ", enginelinkname=" + this.enginelinkname + ", dblinkname=" + this.dblinkname + "]";
   }
}
